/ lang / instr
InStr
Syntax

    Position = InStr ( String AS String , Substring AS String [ , Start AS Integer , Comparison AS Integer ] )

Returns the position of the first occurrence of Substring in String.

If Start is specified, the search begins at the position Start.

Comparison can be one of the following value:

- gb.Binary for a binary comparison (the default).
- gb.Text or gb.Case for a case-insensitive comparison.

If the substring is not found, this function returns zero.

### Examples

    PRINT Instr("Gambas is basic", "bas")
    <hr>4

    PRINT Instr("Gambas is basic", "bas", 5)
    <hr>11

    PRINT Instr("Gambas is basic", "not")
    <hr>0

### See also

String Functions